Bug 215405 - (CVE-2006-5793) CVE-2006-5793 libpng DoS
CVE-2006-5793 libpng DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libpng (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
source=vendorsec,reported=20061107,im...
: Security
Depends On:
Blocks: 242414
  Show dependency treegraph
 
Reported: 2006-11-13 15:07 EST by Josh Bressers
Modified: 2013-07-02 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0356
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 17:46:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-11-13 15:07:19 EST
Tavis Ormandy told vendor-sec about a OOB memory read flaw in libpng.  This flaw
is a denial of service flaw.

quoting the mail from Tavis:

    Hello, there's a typo in the sPLT chunk handling code in libpng,
    potentially resulting in an OOB read. AFAICT, the extent of the
    vulnerability is denial of service, but would appreciate a second pair
    of eyes to verify.

    Around line ~983 of pngset.c, in png_set_sPLT()

    to->entries =3D (png_sPLT_entryp)png_malloc(png_ptr,=20
        from->nentries * png_sizeof(png_sPLT_t));

    should be `png_sizeof(png_sPLT_entry)`

    and the same on this line:

    png_memcpy(to->entries, from->entries,
        from->nentries * png_sizeof(png_sPLT_t));

This issue also affects RHEL2.1 and RHEL3
Comment 2 Josh Bressers 2006-11-14 16:28:57 EST
This issue is now public:
http://bugs.gentoo.org/show_bug.cgi?id=154380
Comment 4 Tobias Sandhaas 2007-01-04 11:31:57 EST
Normally i am quite pleased with the speed of security updates by redhat. But
sometimes vulnerabilities seems to be overseen. Please release a fix for this issue.

See also "Bugzilla Bug 216706: CVE-2006-5793 libpng, libpng10 DoS".
Comment 5 Josh Bressers 2007-01-04 14:04:06 EST
We have assigned this flaw a severity of "low".  We will not release an update
to libpng only to fix this flaw given the very low severity.  This flaw will be
fixed in our next libpng update.
Comment 8 Red Hat Bugzilla 2007-05-17 17:46:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0356.html

Note You need to log in before you can comment on or make changes to this bug.